extend("fiskheroes:hero_basic"),
loadTextures({
    "layer1": "knights:red_death_layer1",
    "layer2": "knights:red_death_layer2"
});

var utils = implement("fiskheroes:external/utils");

function initEffects(renderer) {
    utils.bindTrail(renderer, "knights:lightning_red_death");
    utils.bindCloud(renderer, "fiskheroes:telekinesis", "knights:telekinesis_death");
    utils.bindBeam(renderer, "fiskheroes:lightning_cast", "fiskheroes:lightning_cast", "rightArm", 0xA00000, [
        { "firstPerson": [-8.0, 4.5, -10.0], "offset": [-0.5, 9.0, 0.0], "size": [0.75, 0.75] }
    ]);
}
